@import 'partials/variables';
@import 'settings';
@import "../../node_modules/foundation-sites/scss/foundation";
@include foundation-global-styles;
@include foundation-forms;
@include foundation-typography;

// Grids (choose one)
@include foundation-grid;
// @include foundation-flex-grid;

// Generic components
@include foundation-button;
@include foundation-button-group;
@include foundation-close-button;
@include foundation-label;
@include foundation-progress-bar;
@include foundation-slider;
@include foundation-switch;
@include foundation-table;
// Basic components
@include foundation-badge;
@include foundation-breadcrumbs;
@include foundation-callout;
@include foundation-card;
@include foundation-dropdown;
@include foundation-pagination;
@include foundation-tooltip;

// Containers
@include foundation-accordion;
@include foundation-media-object;
@include foundation-orbit;
@include foundation-responsive-embed;
@include foundation-tabs;
@include foundation-thumbnail;
// Menu-based containers
@include foundation-menu;
@include foundation-menu-icon;
@include foundation-accordion-menu;
@include foundation-drilldown-menu;
@include foundation-dropdown-menu;

// Layout components
@include foundation-off-canvas;
@include foundation-reveal;
@include foundation-sticky;
@include foundation-title-bar;
@include foundation-top-bar;

// Helpers
@include foundation-float-classes;
// @include foundation-flex-classes;
@include foundation-visibility-classes;
// @include foundation-prototype-classes;


@import url('https://fonts.googleapis.com/css?family=Work+Sans:100,200,300,400,500,600,700,800,900&display=swap');

@import 'partials/type';

header,
div.intro {
    // @include grid-row(12, null, 'expand');
    width: 100%;
    background-color: $transBlue;
}

div.container {
    @include grid-row(12, null, $grid-row-width);

    .info {
        @include grid-col();

        @include breakpoint(medium) {
            @include grid-col-size(6);
        }
    }
}

header {
    position: fixed;
    top: 0;
    z-index: 2;
    padding: 25px 0;

    @include breakpoint(medium) {
        .container {
           position: relative;
        }
    }
}

body.is-open-right div.side-menu {
    right: 0;
}

div.side-menu {
    position: absolute;
    right: -100%;
    text-align: right;
    height: 100vh;
    top: 0;
    background-color: $transBlue;
    border-radius: 68% 0 0 68%;
    width: 230px;
    transition: right 1s ease-in-out;


    @include breakpoint(medium) {
        top: -25px;
    }

    .nav-toggle-container {
        padding-top: 25px;
        padding-bottom: 25px;

        @include breakpoint (small only) {
            position: absolute;
            right: 0;
        }
    }

    &::after {
        content: "";
        display: block;
        width: 100%;
        height: inherit;
        background-color: inherit;
        position: absolute;
        left: 100%;
        top: 0;
    }

    nav {
        position: relative;

        @include breakpoint(small only) {
            padding-right: 20px;
        }
    }
}

.nav-toggle-container {
    @include grid-col(4);


    a {
        width: 40px;
        display: inline-block;
        float: right;
        top: 50%;
        transform: translateY(-25%);
        position: relative;

        img {
            width: inherit;
        }
    }


    @include breakpoint(medium) {
        @include grid-col-size(2);
        position: absolute;
        top: 0;
        bottom: 0;
        right: 0;
    }

    #icon-nav-close {
        display: none;
    }
}

.is-open-right #nav-toggle {
    z-index: 15;

    #icon-nav-close {
        display: block;
    }

    #icon-nav-open {
        display: none;
    }
}

.title-container {
    @include grid-col();
}

div.logo {
    @include grid-col(8);

    @include breakpoint(medium) {
        @include grid-col-size(3);
        position: relative;
        left: 50%;
        transform: translateX(-50%);
    }
    
    
    .logo-desktop {
        display: none;
    }

    img {
        max-width: 200px;
        display: block;

        @include breakpoint(medium) {
            margin: 0 auto;

            &.logo-mobile {
                display: none;
            }

            &.logo-desktop {
                display: block;
            }
        }
    }
}

footer {
    background: $blue;
}

section.banner {
    background-image: url('../img/banner-2440.jpg');
    height: 100vh;
    position: relative;
    background-size: cover;
    background-position: center center;

    .logo-mobile-stack {
        position: absolute;
        top: 150px;
        max-width: 150px;
        left: 50%;
        transform: translate(-50%,-50%);

        @include breakpoint(medium) {
            display: none;
        }
    }

    .intro {
        position: absolute;
        bottom: 0;
        padding: 30px 0 40px;

        @include breakpoint(medium) {
            padding-bottom: 20px;
        }

        .container {
            padding: 0 10px;
        }
        
        .arrow-down {
            display: block;
            margin: 0 auto;
        }
    }
}

section.welcome {
    background-color: $blue;
    position: relative;

    &::after {
       content: "";
       background-image: url('../img/OSB-wave-pattern-white.png');
       background-repeat: repeat;
       opacity: 0.15;
       position: absolute;
       top: 0;
       left: 0;
       right: 0;
       bottom: 0;
    }
}

section.welcome .container,
footer {
    padding: 50px 0;
    
    @include breakpoint(medium) {
        padding: 90px 0;
    }
}

.arrow-down {
    width: 50px;
}

.menu {
    @include menu-direction('vertical');

    &.social {
        @include menu-direction('horizontal');
        display: block;
        
        .social-icon-container {
            display: inline-block;
            padding-right: 15px;
        }

        img {
            width: 25px;
        }
    }
}


footer {
    div.logo{
        left: 0;
        transform: unset;
    }

    nav {
        @include grid-col();

        @include breakpoint(medium) {
            margin-top: 125px;
        }

        .menu {
            @include grid-col(6);
    
            @include breakpoint(medium) {
                @include grid-col-size(3);
            }

            .list-title {
                padding-bottom: 5px;
            }
        }
    }

    .site-info .info {
        @include grid-col-size(10);
        @include grid-col-pos(2);
        @include grid-col-end();
    }

    @include breakpoint(medium) {
        div.logo {
            @include grid-col-size(3);
            @include grid-col-pos(0);
            margin: 0;
        }

        nav {
            @include grid-col-size(9);
        }

        .site-info {
            margin-top: 20px;
            .info {
                @include grid-col-size(6);
                @include grid-col-pos(0);

                &:last-of-type {
                    text-align: right;
                }
            }
        }
    }
}